<script setup>
import AuthenticatedLayout from "@/Layouts/AuthenticatedLayout.vue";
import { Link } from "@inertiajs/vue3";
import { computed } from 'vue'
import { usePage } from '@inertiajs/vue3'

const page = usePage()

const user = computed(() => page.props.auth.user)
const {orders}=defineProps(['orders']);

</script>

<template>
    
    <Head title="view" />
    <AuthenticatedLayout>
        <div class="row">
            
            <div class="col-xl-9">
                <div class="card">
                    <div class="card-header">
                        <div class="d-flex align-items-center">
                            <h5 class="card-title flex-grow-1 mb-0">Order ID:{{orders.otp}}</h5>
                            <div class="flex-shrink-0">
                    <Link :href="route('order.accept',orders.ulid)" class="btn btn-primary btn-sm" v-if="orders.status==1 && user.role==2">Accept</Link>
                    <Link :href="route('order.reject',orders.ulid)" class="btn btn-danger btn-sm ms-2" v-if="orders.status!=6  && user.role==2">Reject</Link>
                    <Link :href="route('order.accept',orders.ulid)" class="btn btn-warning btn-sm ms-2" v-if="orders.status==2  && user.role==2">Ready</Link>
                    <!-- <Link :href="route('order.accept',orders.ulid)" class="btn btn-primary btn-sm ms-2" v-if="orders.status==3">Arriving</Link>
                    <Link :href="route('order.accept',orders.ulid)" class="btn btn-success btn-sm ms-2" v-if="orders.status==4">Completed</Link> -->
               
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive table-card">
                            <table class="table table-nowrap align-middle table-borderless mb-0">
                                <thead class="table-light text-muted">
                                    <tr>
                                        <th scope="col">Item Details</th>
                                        <th scope="col">Item Price</th>
                                        <th scope="col">Quantity</th>
                                        <th scope="col" class="text-end">Total Amount</th>
                                    </tr>
                                </thead>
                                <tbody> 
                                    <tr v-for="item in orders.items" :key="item.id">
                                        <td>
                                            <div class="d-flex">
                                                <div class="flex-grow-1 ms-3">
                                                    <h5 class="fs-15">{{item.dishName}}</h5>
                                                </div>
                                            </div>
                                        </td>
                                        <td> {{ item.price }}</td>
                                        <td>{{item.quantity}}</td>
                                        <td class="fw-medium text-end">
                                            {{ item.price*item.quantity}}
                                        </td>
                                    </tr>
                                    <tr class="border-top border-top-dashed">
                                        <td colspan="3"></td>
                                        <td colspan="2" class="fw-medium p-0">
                                            <table class="table table-borderless mb-0">
                                                <tbody>
                                                    <tr class="border-top border-top-dashed">
                                                        <th scope="row">Total (Rs) :</th>
                                                        <th class="text-end">{{orders.totalAmount}}</th>
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <!--end card-->
               
                <!--end card-->
            </div>
            <!--end col-->
            <div class="col-xl-3">
               
                <!--end card-->
                <div class="card">
                    <div class="card-header">
                        <div class="d-flex">
                            <h5 class="card-title flex-grow-1 mb-0">Customer Details</h5>
                        </div>
                    </div>
                    <div class="card-body">
                        <ul class="list-unstyled mb-0 vstack gap-3">
                            <li>
                                <div class="d-flex align-items-center">
                                    <div class="flex-grow-1 ms-3">
                                        <h6 class="fs-14 mb-1">{{ orders.userName }}</h6>
                                        <p class="text-muted mb-0">Customer</p>
                                    </div>
                                </div>
                            </li>
                            <li><i class="ri-mail-line me-2 align-middle text-muted fs-16"></i>{{ orders.userEmail }}</li>
                            <li><i class="ri-phone-line me-2 align-middle text-muted fs-16"></i>{{ orders.mobileNumber }}</li>
                        </ul>
                    </div>
                </div>
                <div class="card">
                    <div class="card-header">
                        <h5 class="card-title mb-0"><i class="ri-map-pin-line align-middle me-1 text-muted"></i> Billing Address</h5>
                    </div>
                    <div class="card-body">
                        <ul class="list-unstyled vstack gap-2 fs-13 mb-0">
                            <li class="fw-medium fs-14">{{ orders.userName }}</li>
                            <li>{{ orders.mobileNumber }}</li>
                            <li>{{ orders.address }}</li>
                            
                        </ul>
                    </div>
                </div>
                <!--end card-->
            </div>
            <!--end col-->
        </div>
    </AuthenticatedLayout>
</template>